summaryrefslogtreecommitdiffstats
path: root/source/ap/aumix
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/aumix')
-rwxr-xr-xsource/ap/aumix/aumix.SlackBuild66
-rw-r--r--source/ap/aumix/aumix.alsa.diff34
-rw-r--r--source/ap/aumix/slack-desc19
3 files changed, 119 insertions, 0 deletions
diff --git a/source/ap/aumix/aumix.SlackBuild b/source/ap/aumix/aumix.SlackBuild
new file mode 100755
index 000000000..7261ba64e
--- /dev/null
+++ b/source/ap/aumix/aumix.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=2.8
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+if [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-aumix
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf aumix-$VERSION
+tar xjvf $CWD/aumix-$VERSION.tar.bz2
+cd aumix-$VERSION
+zcat $CWD/aumix.alsa.diff.gz | patch -p1 --verbose --backup --suffix=.orig
+chown -R root:root .
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --without-gtk1
+make || exit 1
+make install DESTDIR=$PKG
+strip $PKG/usr/bin/*
+mkdir -p $PKG/usr/doc/aumix-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS BUGS COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/aumix-$VERSION
+# This is obsolete (besides being broken)
+rm -f $PKG/usr/bin/xaumix $PKG/usr/man/man1/xaumix.1
+# More fluff, doesn't deserve mainsteam placement
+mv $PKG/usr/bin/mute $PKG/usr/doc/aumix-$VERSION/mute.sh
+gzip -9 $PKG/usr/man/man1/*
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n $TMP/aumix-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/aumix/aumix.alsa.diff b/source/ap/aumix/aumix.alsa.diff
new file mode 100644
index 000000000..6d632cf5f
--- /dev/null
+++ b/source/ap/aumix/aumix.alsa.diff
@@ -0,0 +1,34 @@
+--- ./src/common.h.orig 2002-10-29 13:27:51.000000000 -0800
++++ ./src/common.h 2003-08-28 23:16:53.000000000 -0700
+@@ -55,7 +55,7 @@
+ #endif /* HAVE_SYS_SOUNDCARD_H */
+
+ #ifdef HAVE_ALSA
+-#include <sys/asoundlib.h>
++#include <alsa/asoundlib.h>
+ #endif /* HAVE_ALSA */
+ #define MAXLEVEL 100 /* highest level permitted by OSS drivers */
+ enum {
+--- ./configure.orig 2002-11-24 17:35:48.000000000 -0800
++++ ./configure 2003-08-28 23:14:46.000000000 -0700
+@@ -1890,16 +1890,16 @@
+ fi
+
+ if test $alsa_must = on; then
+- ac_safe=`echo "sys/asoundlib.h" | sed 'y%./+-%__p_%'`
+-echo $ac_n "checking for sys/asoundlib.h""... $ac_c" 1>&6
+-echo "configure:1896: checking for sys/asoundlib.h" >&5
++ ac_safe=`echo "alsa/asoundlib.h" | sed 'y%./+-%__p_%'`
++echo $ac_n "checking for alsa/asoundlib.h""... $ac_c" 1>&6
++echo "configure:1896: checking for alsa/asoundlib.h" >&5
+ if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+ else
+ cat > conftest.$ac_ext <<EOF
+ #line 1901 "configure"
+ #include "confdefs.h"
+-#include <sys/asoundlib.h>
++#include <alsa/asoundlib.h>
+ EOF
+ ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
+ { (eval echo configure:1906: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
diff --git a/source/ap/aumix/slack-desc b/source/ap/aumix/slack-desc
new file mode 100644
index 000000000..70e780877
--- /dev/null
+++ b/source/ap/aumix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+aumix: aumix (GTK+/ncurses audio mixer)
+aumix:
+aumix: This is a program for adjusting audio mixers from the command line or
+aumix: scripts, or interactively at the console or a terminal with a
+aumix: full-screen, ncurses-based interface or a GTK-based X interface.
+aumix:
+aumix:
+aumix:
+aumix:
+aumix:
+aumix: